Bug 180302 - New port: devel/p5-Test-If
Summary: New port: devel/p5-Test-If
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:40 UTC by Anes Mukhametov
Modified: 2013-11-15 16:50 UTC (History)
0 users

See Also:


Attachments
p5-Test-If.shar (1.68 KB, text/plain)
2013-07-05 13:40 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:40:00 UTC
	New port: devel/p5-Test-If	
	Add test conditions for Test::More
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:56:13 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:50 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:57:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 15:03:59 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 Mathieu Arnold freebsd_committer 2013-11-15 16:41:30 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2013-11-15 16:42:03 UTC
Author: mat
Date: Fri Nov 15 16:41:49 2013
New Revision: 333887
URL: http://svnweb.freebsd.org/changeset/ports/333887

Log:
  Add p5-Test-If 0.01, test only if.
  
  PR:		ports/180302
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-Test-If/
  head/devel/p5-Test-If/Makefile   (contents, props changed)
  head/devel/p5-Test-If/distinfo   (contents, props changed)
  head/devel/p5-Test-If/pkg-descr   (contents, props changed)
  head/devel/p5-Test-If/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Nov 15 16:37:49 2013	(r333886)
+++ head/devel/Makefile	Fri Nov 15 16:41:49 2013	(r333887)
@@ -2810,6 +2810,7 @@
     SUBDIR += p5-Test-HasVersion
     SUBDIR += p5-Test-HexString
     SUBDIR += p5-Test-Identity
+    SUBDIR += p5-Test-If
     SUBDIR += p5-Test-InDistDir
     SUBDIR += p5-Test-Inline
     SUBDIR += p5-Test-Inter

Added: head/devel/p5-Test-If/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-If/Makefile	Fri Nov 15 16:41:49 2013	(r333887)
@@ -0,0 +1,21 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Test-If
+PORTVERSION=	0.01
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Test only if
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-lib-abs>=0:${PORTSDIR}/devel/p5-lib-abs
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-Test-If/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-If/distinfo	Fri Nov 15 16:41:49 2013	(r333887)
@@ -0,0 +1,2 @@
+SHA256 (Test-If-0.01.tar.gz) = aaf2dff80edbb00bf8b1b935755e312a26049850cd284ec252ea5d3864b4af43
+SIZE (Test-If-0.01.tar.gz) = 23170

Added: head/devel/p5-Test-If/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-If/pkg-descr	Fri Nov 15 16:41:49 2013	(r333887)
@@ -0,0 +1,3 @@
+Test only if ...
+
+WWW: http://search.cpan.org/dist/Test-If/

Added: head/devel/p5-Test-If/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-If/pkg-plist	Fri Nov 15 16:41:49 2013	(r333887)
@@ -0,0 +1,6 @@
+%%PERL5_MAN3%%/Test::If.3.gz
+%%SITE_PERL%%/Test/If.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/If/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/If
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test
+@dirrmtry %%SITE_PERL%%/Test
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"